//modified ID original shader script..
textures/katdm5/kt_portal_sfx
{

	portal
	surfaceparm nolightmap
	//deform line below commented out
	//deformVertexes wave 100 sin 0 2 0 .5


	{
		map textures/katdm5/kt_portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	This blend function is not working on RagePro drivers Mac only
	//	when it is used on top of portals
		depthWrite
	}


	//{
	//	map textures/sfx/portal_sfx1.tga
	//	blendfunc gl_dst_color gl_zero
	//	tcMod rotate 360
	//}

	{
		map textures/katdm5/kt_portal_sfx.tga
		blendfunc gl_one gl_one
	//	rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/katdm5/kt_portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 .1
		tcmod scroll .01 .03
	}
}

//original script provided by Shallow[BAP]
textures/katdm5/kt_glow

{
        qer_editorimage textures/katdm5/kt_glow.tga
	surfaceparm trans
	surfaceparm nonsolid
        surfaceparm nomarks
	surfaceparm nolightmap
        qer_trans .7
	cull none
	deformVertexes autosprite
	{
		map textures/katdm5/kt_glow.tga
                blendFunc add
        }
}

//commented out tempoarily..!
//modified original ID script
//Tim's fog for map tim_dm1
textures/katdm5/kt_fog

{
	qer_editorimage textures/katdm5/kt_fog_qed.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	//surfaceparm	nodraw
	fogparms ( .615 .309 0 ) 1800
	//fogparms ( .615 .309 0 ) 800
	//{
	//	map textures/katdm5/kt_fog.tga
	//	blendFunc
	//}
}

//plain blacksky using a a black texture and noimpack or marks
textures/katdm5/kt_noimpact

{
	qer_editorimage textures/katdm5/kt_noimpact.tga
	qer_trans	0.5
	surfaceparm	noimpact
//	surfaceparm	nomarks
//	surfaceparm	nolightmap
//	surfaceparm	nodraw
//	surfaceparm	trans
	{
		map textures/katdm5/kt_blksky.tga
	}
}

//basic flag-banner with wave
textures/katdm5/kt_flag
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 10 sin 0 .5 0 .2
     deformVertexes wave 10 sin 0 .5 0 .2
     
        {
                map textures/katdm5/kt_flag.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


//basic flag-banner with wave
//uses texture that's been 3d'd a little
textures/katdm5/kt_flag_v2
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 10 sin 0 .5 0 .2
     deformVertexes wave 10 sin 0 .5 0 .2
     
        {
                map textures/katdm5/kt_flag_v2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/katdm5/kt_flag_256_v2b
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 10 sin 0 .5 0 .2
	deformVertexes wave 10 sin 0 .5 0 .2

	{
		map textures/katdm5/kt_flag_256_v2b.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

//commented out as using shader from model itself..
//basic flag-banner model flag with slight wave
//models/mapobjects/kt-qkq_banner/kt_flag_v2
//{      
//   	cull disable
//    	nomipmaps
//	surfaceparm	nolightmap
//   	deformVertexes wave 50 sin 0 .7 0 .4
//	{
//		map models/mapobjects/kt-qkq_banner/kt-qkq_banner.tga
//              alphaFunc GE128
//		depthWrite
//		rgbGen vertex
//	}
//}

//basic flag-banner support beam texture
//models/mapobjects/kt-qkq_banner/kt_flag_suprt
//{      
//   	cull disable
//    	nomipmaps
//	surfaceparm	nolightmap
//   	deformVertexes wave 50 sin 0 .7 0 .4
//	{
//		map models/mapobjects/kt-qkq_banner/kt-qkq_banner.tga
//              alphaFunc GE128
//		depthWrite
//		rgbGen vertex
//	}
//}

textures/katdm5/butterb_night
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 300
	q3map_sun 1 1 1 100 -41 58

	qer_editorimage textures/katdm5/space512_bk.tga
//        skyparms env/space1 - -


	skyparms env/xnight2 - -
}

//butterb's stary-stary night
textures/katdm5/butterb_stars

{
	qer_editorimage textures/katdm5/space512_bk.tga
	surfaceparm	noimpact
//	surfaceparm	nolightmap
	surfaceparm	sky
	q3map_surfacelight 300
	q3map_sun 1 1 1 100 -41 58
//	{
//		map textures/katdm5/butterb_stars.tga
		skyparms textures/katdm5/butterb - -
//	}
}